# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client
Class GoogleAuthTokenFactory.AuthSubToken

    java.lang.Object
      com.google.gdata.client.GoogleAuthTokenFactory.AuthSubToken

All Implemented Interfaces:
  AuthTokenFactory.AuthToken, HttpAuthToken

Enclosing class:
  GoogleAuthTokenFactory

    public static class GoogleAuthTokenFactory.AuthSubToken

extends java.lang.Object
implements HttpAuthToken

Encapsulates the token used by web applications to login on behalf of a user.

Constructor Summary
`GoogleAuthTokenFactory.AuthSubToken(java.lang.String token, java.security.PrivateKey key)`

Method Summary
`java.lang.String` `getAuthorizationHeader(java.net.URL requestUrl, java.lang.String requestMethod)` Returns an authorization header to be used for a HTTP request for the respective authentication token.
`java.lang.String` `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GoogleAuthTokenFactory.AuthSubToken

    public GoogleAuthTokenFactory.AuthSubToken(java.lang.String token,
                                               java.security.PrivateKey key)

Method Detail

### getValue

    public java.lang.String getValue()

### getAuthorizationHeader

    public java.lang.String getAuthorizationHeader(java.net.URL requestUrl,
                                                   java.lang.String requestMethod)

  Returns an authorization header to be used for a HTTP request for the respective authentication token.

  Specified by:
    `getAuthorizationHeader` in interface `HttpAuthToken`
  Parameters:
    `requestUrl` - the URL being requested
    `requestMethod` - the HTTP method of the request
  Returns:
    the "Authorization" header to be used for the request